# For svn version: do
# $ svn checkout http://opensvn.csie.org/wallpapoz/trunk wallpapoz-%%{mainver}%%{?svnver:-svn%%svnver}
# $ tar -cjf %%{name}-%%{mainver}%%{?svnver:-svn%%svnver}.tar.bz2 %%{name}-%%{mainver}/

%define         srcurl          http://wallpapoz.akbarhome.com/
%define         icondir         %{_datadir}/icons/hicolor/128x128/apps

%define         mainver         0.4.1
%undefine         betaver
%define         svnver          svn92_trunk
%define         fedorarel       11

%define         rel             %{?betaver:0.}%{fedorarel}%{?svnver:.%svnver}%{?betaver:.%betaver}

Name:           wallpapoz
Version:        %{mainver}
Release:        %{rel}%{?dist}
Summary:        Gnome Multi Backgrounds and Wallpapers Configuration Tool

Group:          User Interface/Desktops
License:        GPLv2+
URL:            %{srcurl}
Source0:        %{srcurl}files/%{name}-%{mainver}%{?svnver:-%svnver}%{?betaver:%betaver}.tar.bz2
Source10:       daemon_wallpapoz-wrapper
%if 0%{?fedora} >= 12
Source11:	wallpapoz-autostart.desktop
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python-devel
BuildRequires:  pygtk2-libglade
BuildRequires:  python-imaging
BuildRequires:  gnome-python2
# See bug 456122
%if 0%{?fedora} >= 10
BuildRequires:  gnome-python2-gnome
%endif
Requires:       GConf2
Requires:       pygtk2-libglade
Requires:       python-imaging
Requires:       gnome-python2
%if 0%{?fedora} >= 10
Requires:       gnome-python2-gnome
%endif
Requires:       xorg-x11-utils
Requires:       %{_bindir}/kill
Requires:       %{_bindir}/pgrep

%description
This tool enables your Gnome desktop to have different 
wallpapers for different workspaces or virtual desktops.

%prep
%setup -q -n %{name}-%{version}%{?svnver:-%svnver}

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_prefix}

%{__python} setup.py install --installdir=$RPM_BUILD_ROOT%{_prefix}

%{__sed} -i -e 's|%{name}\.png|%{name}|' \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install \
   --vendor fedora \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Install daemon_wallpapoz-wrapper, move the original one
# to %%_libexecdir
%{__mkdir_p} $RPM_BUILD_ROOT%{_libexecdir}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/daemon_wallpapoz \
	$RPM_BUILD_ROOT%{_libexecdir}/
%{__install} -cpm 0755 %{SOURCE10} \
	$RPM_BUILD_ROOT%{_bindir}/daemon_wallpapoz

# Install desktop application autostart stuff
%if 0%{?fedora} >= 12
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart
desktop-file-install \
	--dir ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart \
	%{SOURCE11}
%endif

%{find_lang} %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*%{name}
%{_libexecdir}/daemon_wallpapoz

%if 0%{?fedora} >= 12
%{_sysconfdir}/xdg/autostart/wallpapoz-autostart.desktop
%endif

%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}/

%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Wed Sep 23 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-11.svn92_trunk
- Explicitly add R: GConf2 (as wallpapoz really needs this)

* Sun Aug 30 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-10.svn92_trunk
- Update to rev 92
- Install desktop application autostart stuff on F-12+

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-9.svn87_trunk
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-11: Mass rebuild

* Wed Jan 21 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-8.svn87_trunk
- Always once kill daemon_wallpapoz process if it exists before start

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com>
- F-11: Rebuild for Python 2.6

* Wed Aug 27 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-7.svn87_trunk
- F-10+: Add (Build)Requires: gnome-python2-gnome (bug 456122, 460022)

* Thu Apr  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-5.svn87_trunk
- Also install cs documents manually

* Tue Apr  1 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-4.svn87_trunk
- Update to latest svn per requests from upstream to support
  2 more locales

* Wed Dec  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-3
- Fix icon path in desktop file for desktop-file-utils 0.14+

* Fri Oct  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-2
- License update
- Drop yelp dependency

* Thu Jun 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-1
- 0.4.1

* Mon Jun  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-2
- Require xorg-x11-utils (bug 242349)

* Thu May 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-1
- 0.4 release!

* Wed May 23 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.5.svn69
- svn 69

* Wed May 16 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.5.rc2
- 0.4 rc2

* Tue Apr 17 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.4.svn55
- Add Japanese xml files (upstream will merge this)

* Wed Apr 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.2.svn55
- svn 55

* Thu Apr  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.2.svn50
- Update to 0.4 pre svn50
- Add Japanese support (upstream will merge this)

* Thu Oct 12 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3-1
- Initial packaging, importing to Fedora extras.
